Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath
Interface XPText

    public interface XPText

This class assembles textual information of the XPath package.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`static java.lang.String` | `EVALSKIP` Evaluation info.
`static java.lang.String` | `FTCASE` Parsing Exception.
`static java.lang.String` | `FTDIA` Parsing Exception.
`static java.lang.String` | `FTLANG` Parsing Exception.
`static java.lang.String` | `FTMILDNOT` Parsing Exception.
`static java.lang.String` | `FTNOTEXC` Parsing Exception.
`static java.lang.String` | `FTRANGE` Parsing Exception.
`static java.lang.String` | `FTSCOPE` Parsing Exception.
`static java.lang.String` | `FTSTOP` Parsing Exception.
`static java.lang.String` | `FTSWFILE` Parsing Exception.
`static java.lang.String` | `FTTHES` Parsing Exception.
`static java.lang.String` | `FUNCARGS` Evaluation Exception.
`static java.lang.String` | `FUNCEXCEPTION` Parsing exception.
`static java.lang.String` | `INDEXEXC` Evaluation Exception.
`static java.lang.String` | `INVALIDLOCSTEP` Parsing exception.
`static java.lang.String` | `INVALIDPOS` Evaluation Exception.
`static java.lang.String` | `INVALIDPRE` Evaluation Exception.
`static java.lang.String` | `KINDCLOSE` Parsing exception.
`static java.lang.String` | `LASTEXC` Evaluation Exception.
`static java.lang.String` | `MAX` Attribute name.
`static java.lang.String` | `MIN` Minimum .
`static java.lang.String` | `NOATTNAME` Parsing exception.
`static java.lang.String` | `NODATA` Evaluation exception.
`static java.lang.String` | `NOFT` Parsing exception.
`static java.lang.String` | `NOLOCSTEP` Parsing exception.
`static java.lang.String` | `NONODESET` Parsing Exception.
`static java.lang.String` | `NOPARENTHESIS` Parsing exception.
`static java.lang.String` | `NOTEST` Evaluation Exception.
`static java.lang.String` | `NOTEXTLEFT` Parsing exception.
`static java.lang.String` | `NOVARNAME` Parsing exception.
`static java.lang.String` | `NSSUPPORT` Evaluation Exception.
`static java.lang.String` | `OPTALLOF` Optimization info.
`static java.lang.String` | `OPTAND1` Optimization info.
`static java.lang.String` | `OPTAND2` Optimization info.
`static java.lang.String` | `OPTAND4` Optimization info.
`static java.lang.String` | `OPTAND5` Optimization info.
`static java.lang.String` | `OPTATTINDEX` Optimization info.
`static java.lang.String` | `OPTCALC` Optimization info.
`static java.lang.String` | `OPTCMP` Optimization info.
`static java.lang.String` | `OPTEMPTY` Optimization info.
`static java.lang.String` | `OPTEQ1` Optimization info.
`static java.lang.String` | `OPTFTINDEX` Optimization info.
`static java.lang.String` | `OPTFUNC` Optimization info.
`static java.lang.String` | `OPTINDEX` Optimization info.
`static java.lang.String` | `OPTLOC` Optimization info.
`static java.lang.String` | `OPTMERGE` Optimization info.
`static java.lang.String` | `OPTNAME` Optimization info.
`static java.lang.String` | `OPTONEOF` Optimization info.
`static java.lang.String` | `OPTOR1` Optimization info.
`static java.lang.String` | `OPTOR2` Optimization info.
`static java.lang.String` | `OPTOR4` Optimization info.
`static java.lang.String` | `OPTOR5` Optimization info.
`static java.lang.String` | `OPTPOS` Optimization info.
`static java.lang.String` | `OPTPOSPRED1` Optimization info.
`static java.lang.String` | `OPTPOSPRED2` Optimization info.
`static java.lang.String` | `OPTRANGE` Optimization info.
`static java.lang.String` | `OPTSELF` Optimization info.
`static java.lang.String` | `OPTSUMPREDS` Optimization info.
`static java.lang.String` | `OPTTEXT` Optimization info.
`static java.lang.String` | `OPTTRUE` Optimization info.
`static java.lang.String` | `PIBRACKETS` Parsing exception.
`static java.lang.String` | `PIQUOTE` Parsing exception.
`static java.lang.String` | `POSINFO` Position info.
`static java.lang.String` | `QUERYDATA` Parsing exception.
`static java.lang.String` | `QUERYEND` Parsing exception.
`static java.lang.String` | `QUOTECLOSE` Parsing exception.
`static java.lang.String` | `TYPE` Attribute name.
`static java.lang.String` | `UNEXPECTEDEND` Parsing exception.
`static java.lang.String` | `UNFINISHEDFUNC` Parsing exception.
`static java.lang.String` | `UNFINISHEDPRED` Parsing exception.
`static java.lang.String` | `UNKNOWNAXIS` Parsing exception.
`static java.lang.String` | `UNKNOWNCOMP` Parsing exception.
`static java.lang.String` | `UNKNOWNDOC` Parsing Exception.
`static java.lang.String` | `UNKNOWNFUNC` Parsing exception.
`static java.lang.String` | `UNKNOWNKIND` Parsing exception.
`static java.lang.String` | `UNKNOWNREL` Evaluation Exception.
`static java.lang.String` | `UNKNOWNTOKEN` Parsing exception.
`static java.lang.String` | `UNKNOWNVAR` Parsing exception.
`static java.lang.String` | `WRONGTEXT` Parsing exception.

Field Detail

### POSINFO

    static final java.lang.String POSINFO

  Position info.

### QUERYDATA

    static final java.lang.String QUERYDATA

  Parsing exception.

  See Also:
    Constant Field Values

### QUERYEND

    static final java.lang.String QUERYEND

  Parsing exception.

  See Also:
    Constant Field Values

### NOTEXTLEFT

    static final java.lang.String NOTEXTLEFT

  Parsing exception.

  See Also:
    Constant Field Values

### WRONGTEXT

    static final java.lang.String WRONGTEXT

  Parsing exception.

  See Also:
    Constant Field Values

### NOLOCSTEP

    static final java.lang.String NOLOCSTEP

  Parsing exception.

  See Also:
    Constant Field Values

### NOATTNAME

    static final java.lang.String NOATTNAME

  Parsing exception.

  See Also:
    Constant Field Values

### INVALIDLOCSTEP

    static final java.lang.String INVALIDLOCSTEP

  Parsing exception.

  See Also:
    Constant Field Values

### PIBRACKETS

    static final java.lang.String PIBRACKETS

  Parsing exception.

  See Also:
    Constant Field Values

### PIQUOTE

    static final java.lang.String PIQUOTE

  Parsing exception.

  See Also:
    Constant Field Values

### UNKNOWNKIND

    static final java.lang.String UNKNOWNKIND

  Parsing exception.

  See Also:
    Constant Field Values

### NOTEST

    static final java.lang.String NOTEST

  Evaluation Exception.

  See Also:
    Constant Field Values

### KINDCLOSE

    static final java.lang.String KINDCLOSE

  Parsing exception.

  See Also:
    Constant Field Values

### QUOTECLOSE

    static final java.lang.String QUOTECLOSE

  Parsing exception.

  See Also:
    Constant Field Values

### UNKNOWNAXIS

    static final java.lang.String UNKNOWNAXIS

  Parsing exception.

  See Also:
    Constant Field Values

### UNKNOWNCOMP

    static final java.lang.String UNKNOWNCOMP

  Parsing exception.

  See Also:
    Constant Field Values

### NOPARENTHESIS

    static final java.lang.String NOPARENTHESIS

  Parsing exception.

  See Also:
    Constant Field Values

### NOVARNAME

    static final java.lang.String NOVARNAME

  Parsing exception.

  See Also:
    Constant Field Values

### UNFINISHEDPRED

    static final java.lang.String UNFINISHEDPRED

  Parsing exception.

  See Also:
    Constant Field Values

### UNFINISHEDFUNC

    static final java.lang.String UNFINISHEDFUNC

  Parsing exception.

  See Also:
    Constant Field Values

### UNEXPECTEDEND

    static final java.lang.String UNEXPECTEDEND

  Parsing exception.

  See Also:
    Constant Field Values

### UNKNOWNTOKEN

    static final java.lang.String UNKNOWNTOKEN

  Parsing exception.

  See Also:
    Constant Field Values

### UNKNOWNVAR

    static final java.lang.String UNKNOWNVAR

  Parsing exception.

  See Also:
    Constant Field Values

### UNKNOWNFUNC

    static final java.lang.String UNKNOWNFUNC

  Parsing exception.

  See Also:
    Constant Field Values

### UNKNOWNDOC

    static final java.lang.String UNKNOWNDOC

  Parsing Exception.

  See Also:
    Constant Field Values

### FUNCEXCEPTION

    static final java.lang.String FUNCEXCEPTION

  Parsing exception.

  See Also:
    Constant Field Values

### NONODESET

    static final java.lang.String NONODESET

  Parsing Exception.

  See Also:
    Constant Field Values

### FTNOTEXC

    static final java.lang.String FTNOTEXC

  Parsing Exception.

  See Also:
    Constant Field Values

### FTCASE

    static final java.lang.String FTCASE

  Parsing Exception.

  See Also:
    Constant Field Values

### FTDIA

    static final java.lang.String FTDIA

  Parsing Exception.

  See Also:
    Constant Field Values

### FTRANGE

    static final java.lang.String FTRANGE

  Parsing Exception.

  See Also:
    Constant Field Values

### FTSCOPE

    static final java.lang.String FTSCOPE

  Parsing Exception.

  See Also:
    Constant Field Values

### FTSTOP

    static final java.lang.String FTSTOP

  Parsing Exception.

  See Also:
    Constant Field Values

### FTTHES

    static final java.lang.String FTTHES

  Parsing Exception.

  See Also:
    Constant Field Values

### FTSWFILE

    static final java.lang.String FTSWFILE

  Parsing Exception.

  See Also:
    Constant Field Values

### FTLANG

    static final java.lang.String FTLANG

  Parsing Exception.

  See Also:
    Constant Field Values

### FTMILDNOT

    static final java.lang.String FTMILDNOT

  Parsing Exception.

  See Also:
    Constant Field Values

### NODATA

    static final java.lang.String NODATA

  Evaluation exception.

  See Also:
    Constant Field Values

### NOFT

    static final java.lang.String NOFT

  Parsing exception.

  See Also:
    Constant Field Values

### NSSUPPORT

    static final java.lang.String NSSUPPORT

  Evaluation Exception.

  See Also:
    Constant Field Values

### INVALIDPOS

    static final java.lang.String INVALIDPOS

  Evaluation Exception.

  See Also:
    Constant Field Values

### UNKNOWNREL

    static final java.lang.String UNKNOWNREL

  Evaluation Exception.

  See Also:
    Constant Field Values

### FUNCARGS

    static final java.lang.String FUNCARGS

  Evaluation Exception.

  See Also:
    Constant Field Values

### INDEXEXC

    static final java.lang.String INDEXEXC

  Evaluation Exception.

  See Also:
    Constant Field Values

### LASTEXC

    static final java.lang.String LASTEXC

  Evaluation Exception.

  See Also:
    Constant Field Values

### INVALIDPRE

    static final java.lang.String INVALIDPRE

  Evaluation Exception.

  See Also:
    Constant Field Values

### TYPE

    static final java.lang.String TYPE

  Attribute name.

  See Also:
    Constant Field Values

### MIN

    static final java.lang.String MIN

  Minimum .

  See Also:
    Constant Field Values

### MAX

    static final java.lang.String MAX

  Attribute name.

  See Also:
    Constant Field Values

### OPTCALC

    static final java.lang.String OPTCALC

  Optimization info.

  See Also:
    Constant Field Values

### OPTCMP

    static final java.lang.String OPTCMP

  Optimization info.

  See Also:
    Constant Field Values

### OPTFUNC

    static final java.lang.String OPTFUNC

  Optimization info.

  See Also:
    Constant Field Values

### OPTLOC

    static final java.lang.String OPTLOC

  Optimization info.

  See Also:
    Constant Field Values

### OPTNAME

    static final java.lang.String OPTNAME

  Optimization info.

  See Also:
    Constant Field Values

### OPTAND1

    static final java.lang.String OPTAND1

  Optimization info.

  See Also:
    Constant Field Values

### OPTAND2

    static final java.lang.String OPTAND2

  Optimization info.

  See Also:
    Constant Field Values

### OPTAND4

    static final java.lang.String OPTAND4

  Optimization info.

  See Also:
    Constant Field Values

### OPTAND5

    static final java.lang.String OPTAND5

  Optimization info.

  See Also:
    Constant Field Values

### OPTALLOF

    static final java.lang.String OPTALLOF

  Optimization info.

  See Also:
    Constant Field Values

### OPTONEOF

    static final java.lang.String OPTONEOF

  Optimization info.

  See Also:
    Constant Field Values

### OPTRANGE

    static final java.lang.String OPTRANGE

  Optimization info.

  See Also:
    Constant Field Values

### OPTOR1

    static final java.lang.String OPTOR1

  Optimization info.

  See Also:
    Constant Field Values

### OPTOR2

    static final java.lang.String OPTOR2

  Optimization info.

  See Also:
    Constant Field Values

### OPTOR4

    static final java.lang.String OPTOR4

  Optimization info.

  See Also:
    Constant Field Values

### OPTOR5

    static final java.lang.String OPTOR5

  Optimization info.

  See Also:
    Constant Field Values

### OPTEQ1

    static final java.lang.String OPTEQ1

  Optimization info.

  See Also:
    Constant Field Values

### OPTSELF

    static final java.lang.String OPTSELF

  Optimization info.

  See Also:
    Constant Field Values

### OPTTRUE

    static final java.lang.String OPTTRUE

  Optimization info.

  See Also:
    Constant Field Values

### OPTPOSPRED1

    static final java.lang.String OPTPOSPRED1

  Optimization info.

  See Also:
    Constant Field Values

### OPTPOSPRED2

    static final java.lang.String OPTPOSPRED2

  Optimization info.

  See Also:
    Constant Field Values

### OPTEMPTY

    static final java.lang.String OPTEMPTY

  Optimization info.

  See Also:
    Constant Field Values

### OPTMERGE

    static final java.lang.String OPTMERGE

  Optimization info.

  See Also:
    Constant Field Values

### OPTINDEX

    static final java.lang.String OPTINDEX

  Optimization info.

  See Also:
    Constant Field Values

### OPTATTINDEX

    static final java.lang.String OPTATTINDEX

  Optimization info.

  See Also:
    Constant Field Values

### OPTFTINDEX

    static final java.lang.String OPTFTINDEX

  Optimization info.

  See Also:
    Constant Field Values

### OPTTEXT

    static final java.lang.String OPTTEXT

  Optimization info.

  See Also:
    Constant Field Values

### OPTPOS

    static final java.lang.String OPTPOS

  Optimization info.

  See Also:
    Constant Field Values

### OPTSUMPREDS

    static final java.lang.String OPTSUMPREDS

  Optimization info.

  See Also:
    Constant Field Values

### EVALSKIP

    static final java.lang.String EVALSKIP

  Evaluation info.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD